Get Voice
curl --request POST \
--url https://api.minimax.io/v1/get_voice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--data '
{
"voice_type": "all"
}
'{
"system_voice": [
{
"voice_id": "Chinese (Mandarin)_Reliable_Executive",
"description": [
"A steady and reliable male executive voice in standard Mandarin, conveying a trustworthy impression."
],
"voice_name": "Steady Executive",
"created_time": "1970-01-01"
},
{
"voice_id": "Chinese (Mandarin)_News_Anchor",
"description": [
"A professional middle-aged female news anchor voice in standard Mandarin, with a broadcast-style tone."
],
"voice_name": "News Anchor (Female)",
"created_time": "1970-01-01"
}
],
"voice_cloning": [
{
"voice_id": "test12345",
"description": [],
"created_time": "2025-08-20"
},
{
"voice_id": "test12346",
"description": [],
"created_time": "2025-08-21"
}
],
"voice_generation": [
{
"voice_id": "ttv-voice-2025082011321125-2uEN0X1S",
"description": [],
"created_time": "2025-08-20"
},
{
"voice_id": "ttv-voice-2025082014225025-ZCQt0U0k",
"description": [],
"created_time": "2025-08-20"
}
],
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}Voice Management
Get Voice
Use this API to list available voices by category.
POST
/
v1
/
get_voice
Get Voice
curl --request POST \
--url https://api.minimax.io/v1/get_voice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--data '
{
"voice_type": "all"
}
'{
"system_voice": [
{
"voice_id": "Chinese (Mandarin)_Reliable_Executive",
"description": [
"A steady and reliable male executive voice in standard Mandarin, conveying a trustworthy impression."
],
"voice_name": "Steady Executive",
"created_time": "1970-01-01"
},
{
"voice_id": "Chinese (Mandarin)_News_Anchor",
"description": [
"A professional middle-aged female news anchor voice in standard Mandarin, with a broadcast-style tone."
],
"voice_name": "News Anchor (Female)",
"created_time": "1970-01-01"
}
],
"voice_cloning": [
{
"voice_id": "test12345",
"description": [],
"created_time": "2025-08-20"
},
{
"voice_id": "test12346",
"description": [],
"created_time": "2025-08-21"
}
],
"voice_generation": [
{
"voice_id": "ttv-voice-2025082011321125-2uEN0X1S",
"description": [],
"created_time": "2025-08-20"
},
{
"voice_id": "ttv-voice-2025082014225025-ZCQt0U0k",
"description": [],
"created_time": "2025-08-20"
}
],
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}This API allows you to query all available voice IDs (
voice_id) under the current account.
This includes system voices, quick cloning voices, voices generated by the text-to-voice API, and human/accompaniment vocals generated by the music API.
Voice Cloning voices are in an inactive state and need to be used at least once before they can be queried through this API.
Authorizations
HTTP: Bearer Auth
- Security Scheme Type: http
- HTTP Authorization Scheme:
Bearer API_key, can be found in Account Management>API Keys.
Headers
The media type of the request body. Must be set to application/json to ensure the data is sent in JSON format.
Available options:
application/json Body
application/json
The type of voice to query. Supported values:
system: System voicesvoice_cloning: Quick cloned voices (available only after being successfully used for speech synthesis)voice_generation: Voices generated via the text-to-voice API (available only after being successfully used for speech synthesis)all: All of the above
Available options:
system, voice_cloning, voice_generation, all Response
200 - application/json
⌘I